Viewing Issue Advanced Details Jump to Notes ] [ View Source: firefox.c ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04340 Crash/Freeze Critical (emulator) Have not tried 2011-05-09 00:19 2011-06-26 01:25
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To smf Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved   Driver firefox.c
Version 0.142u3 Fixed in Version 0.143 Build Normal
Summary 04340: firefox, firefoxa: Crash after OK
Description Game crashes after start:
-----------------------------------------------------
Exception at EIP=021C7D15 (timer_device::set_ptr(void*)+0x0009): ACCESS VIOLATION
While attempting to write memory at 00000170
-----------------------------------------------------
EAX=00000000 EBX=0034E320 ECX=00000008 EDX=1AFD1FB0
ESI=038C9E8C EDI=0034E36C EBP=0022ED70 ESP=0022ED70
-----------------------------------------------------
Stack crawl:
  0022ED70: 021C7D15 (timer_device::set_ptr(void*)+0x0009)
  0022EE30: 01BE98C4 (vp931_init(_laserdisc_state*)+0x00e5)
  0022EE90: 01B96724 (device_reset_laserdisc(device_t*)+0x01c4)
  0022EEC0: 01B9A3AB (legacy_device_base::device_reset()+0x002d)
  0022EEF0: 01B1E630 (device_t::reset()+0x004e)
  0022EF20: 01B1CA95 (device_list::reset_all()+0x0021)
  0022EF40: 024F6E83 (delegate_base<void, _noparam, _noparam, _noparam, _noparam>::operator()() const+0x0017)
  0022EF70: 01AF52F3 (running_machine::call_notifiers(machine_notification)+0x0039)
  0022EF90: 01AF5791 (running_machine::soft_reset(void*, int)+0x0039)
  0022F090: 01AF40BF (running_machine::run(bool)+0x03b7)
  0022F9E0: 01B28067 (mame_execute(emu_options&, osd_interface&)+0x0208)
  0022FB90: 01DE1F6D (cli_frontend::execute(int, char**)+0x0365)
  0022FF00: 013B2F01 (utf8_main(int, char**)+0x01ad)
  0022FF30: 0200298E (wmain+0x008a)
  0022FFC0: 004013D1 (__tmainCRTStartup+0x0241)
  0022FFF0: 7C817077 (RegisterWaitForInputIdle+0x0049)
Steps To Reproduce
Additional Information
Flags
Regression Version 0.142u3
Affected Sets / Systems firefox, firefoxa
Attached Files
 


-  Notes
User avatar (07472)
Tafoid (Administrator)
2011-05-27 02:05

Breakage occurs between r12439-r12447.